Chromium Code Reviews
Help | Chromium Project | Sign in
(3)

Issue 2758963002: [DevTools] Remove dependency from TargetManager to ResourceTreeModel (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by dgozman
Modified:
1 month, 1 week ago
Reviewers:
lushnikov_ooo
CC:
chromium-reviews, extensions-reviews_chromium.org, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, chromium-apps-reviews_chromium.org, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[DevTools] Remove dependency from TargetManager to ResourceTreeModel This is aimed to better support targets without frames. For example, TimelinePanel could now record trace in any target supporting tracing, and only do so on Ctrl+R for targets with frames. BUG=none Review-Url: https://codereview.chromium.org/2758963002 Cr-Commit-Position: refs/heads/master@{#458599} Committed: https://chromium.googlesource.com/chromium/src/+/6bbec23f5e28b88957219401dc946019c1b8c83d

Patch Set 1 #

Total comments: 4

Patch Set 2 : review comments addressed #

Unified diffs Side-by-side diffs Delta from patch set Stats (+66 lines, -83 lines) Patch
M third_party/WebKit/Source/devtools/front_end/audits/AuditController.js View 1 3 chunks +9 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/extensions/ExtensionServer.js View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/layers/LayerTreeModel.js View 1 chunk +5 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/main/Main.js View 1 1 chunk +1 line, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkLogView.js View 1 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkOverview.js View 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network_log/NetworkLog.js View 1 2 chunks +4 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sdk/ResourceTreeModel.js View 1 2 chunks +13 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sdk/Target.js View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sdk/TargetManager.js View 8 chunks +4 lines, -47 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/timeline/TimelinePanel.js View 5 chunks +21 lines, -13 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (14 generated)
dgozman
Could you please take a look?
1 month, 1 week ago (2017-03-17 23:06:27 UTC) #4
dgozman
Andrey, could you please take a look?
1 month, 1 week ago (2017-03-20 22:28:49 UTC) #8
lushnikov_ooo
lgtm https://codereview.chromium.org/2758963002/diff/1/third_party/WebKit/Source/devtools/front_end/main/Main.js File third_party/WebKit/Source/devtools/front_end/main/Main.js (right): https://codereview.chromium.org/2758963002/diff/1/third_party/WebKit/Source/devtools/front_end/main/Main.js#newcode48 third_party/WebKit/Source/devtools/front_end/main/Main.js:48: resourceTreeModel.reloadPage(hard); (here and in other for-loops): don't you ...
1 month, 1 week ago (2017-03-20 23:50:09 UTC) #9
dgozman
PTAL https://codereview.chromium.org/2758963002/diff/1/third_party/WebKit/Source/devtools/front_end/main/Main.js File third_party/WebKit/Source/devtools/front_end/main/Main.js (right): https://codereview.chromium.org/2758963002/diff/1/third_party/WebKit/Source/devtools/front_end/main/Main.js#newcode48 third_party/WebKit/Source/devtools/front_end/main/Main.js:48: resourceTreeModel.reloadPage(hard); On 2017/03/20 23:50:09, lushnikov wrote: > (here ...
1 month, 1 week ago (2017-03-21 21:04:10 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758963002/20001
1 month, 1 week ago (2017-03-21 22:27:30 UTC) #17
commit-bot: I haz the power
1 month, 1 week ago (2017-03-21 23:16:16 UTC) #20
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/6bbec23f5e28b88957219401dc94...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46